"""File MenuTest.py  Test the Menu widget with event handling"""

from Tkinter import *
import tkMessageBox

class Application(Frame):
    def __init__(self, master=None):
        Frame.__init__(self, master)
        self.master.title("Menu Example")
        self.grid()
        self._breadVar = StringVar()
        self._mayoVar = IntVar()
        self._ketchupVar = IntVar()
        self._createWidgets()

    def _createWidgets(self):
        breadMenubutton = Menubutton(self, text="Bread", relief=RAISED)
        breadMenubutton.grid(row=0, column=0, sticky=N+W+E)
        self.rowconfigure(0, pad=100)
        
        breadMenubutton.menu = Menu(breadMenubutton, tearoff=1)
        breadMenubutton["menu"] = breadMenubutton.menu
        breadMenubutton.menu.add_radiobutton(label="white", variable=self._breadVar)
        breadMenubutton.menu.add_radiobutton(label="wheat", variable=self._breadVar)
        breadMenubutton.menu.add_radiobutton(label="rye", variable=self._breadVar)


        condimentsMenubutton = Menubutton(self, text="Condiments", relief=RAISED)
        condimentsMenubutton.grid(row=0, column=1, sticky=N+W+E)
        
        condimentsMenubutton.menu = Menu(condimentsMenubutton, tearoff=0)
        condimentsMenubutton["menu"] = condimentsMenubutton.menu

        condimentsMenubutton.menu.add_checkbutton( label="mayo", variable=self._mayoVar)
        condimentsMenubutton.menu.add_checkbutton( label="ketchup", variable=self._ketchupVar)
        
        doneButton = Button(self, text='Click when done', command=self._readSelections)
        doneButton.grid(row=3, column=0, columnspan=2,sticky=W+E)

    def _readSelections(self):
        order = "Bread: "+self._breadVar.get()+"\nCondiments: "
        if self._mayoVar.get() == 1:
            order += "mayo "
        if self._ketchupVar.get() == 1:
            order += "ketchup "
        tkMessageBox.showinfo(title="Complete Order", message=order)

# end class Application

def main():
    """Instantiate and pop up the window."""
    Application().mainloop()

main()
